nativeInstaller

Troubleshoot installation issues

Missing library libtinfo.so.5

Installing a Bitnami stack you may see the following error message:

MySQL requires a library that was not found in your system: libtinfo.so.5.

This issue is caused because MySQL requires the libtinfo.so.5 library which is not present in your system. You can install this library in the following Linux distros by running the commands below:

  • SUSE

    $ sudo zypper install libncurses5
    
  • Fedora

    $ sudo yum install ncurses-compat-libs
    

Missing library libnsl.so.1

Installing a Bitnami stack you may see the following error message:

PHP requires a library that was not found in your system: libnsl.so.1

This issue is caused because PHP requires the libnsl.so.1 library which is not present in your system. You can install this library in the following Linux distro by running the command below:

  • Fedora

    $ sudo yum install libnsl
    
Last modification September 5, 2018